Post
/api/v1/email-inbox.send-test/{_id}
Send a test email from an Omnichannel email inbox to check its configuration. The workspace sends the email through the inbox's SMTP server to the verified email address of the authenticated user.
The authenticated user must have a verified email address.
A successful response means the workspace queued the email. It doesn't confirm that the email was delivered.
Permission required: manage-email-inbox
Changelog
| Version | Description |
|---|---|
| 3.11.0 | Added |
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Path parameters
_id
stringRequired
Enter the email inbox ID.
Example60197e8ff82d6c83b96c53ff
Responses
200
OK
Success Example
{
"_id": "60197e8ff82d6c83b96c53ff",
"success": true
}object
_id
string
success
boolean
401
Unauthorized
Authorization Error
{
"success": false,
"error": "You must be logged in to do this."
}object
success
boolean
error
string
403
Forbidden
Permission Error
{
"success": false,
"error": "User does not have the permissions required for this action",
"errorType": "error-forbidden"
}object
success
boolean
error
string
errorType
string